mobius_vfs_includedir = $(includedir)/mobius/vfs
nobase_mobius_vfs_include_HEADERS =				\
	filesystem/*.h						\
	filesystem/tsk/*.h

noinst_LTLIBRARIES = libmobius-vfs.la
libmobius_vfs_la_CXXFLAGS = -I$(top_srcdir)/src
libmobius_vfs_la_LDFLAGS = -avoid-version

libmobius_vfs_la_SOURCES =					\
	filesystem/filesystem.cc				\
	filesystem/filesystem_impl_exfat.cc			\
	filesystem/filesystem_impl_ext2.cc			\
	filesystem/filesystem_impl_hfs.cc			\
	filesystem/filesystem_impl_iso.cc			\
	filesystem/filesystem_impl_ntfs.cc			\
	filesystem/filesystem_impl_vfat.cc			\
	filesystem/tsk/adaptor.cc				\
	filesystem/tsk/exception.cc				\
	filesystem/tsk/file_impl.cc				\
	filesystem/tsk/folder_impl.cc				\
	filesystem/tsk/fs_file.cc				\
	filesystem/tsk/reader_impl_file.cc			\
	filesystem/tsk/reader_impl_stream.cc			\
	filesystem/tsk/stream_impl.cc
